alert "Applying WA fix"
alert "You might want to read WA-fixes.txt at your leisure"

if ! [ -f ../WA ]; then
  alert "This doesn't look like a WA installation - no WA binary found in parent directory. Please ensure you have extracted the tar archive into the WA directory."
  exit 1
fi

mkdir -v ~/config/settings/WCDesign
chmod -v +x ~/config/settings/WCDesign

cp -v PlayWorms.sh WA-fixes.txt ..
mkdir -v ../lib
cp -v libteha.so ../lib


if [ -f ../lib/WA.new.bak ]; then
  echo "Patch previously applied. Not overwriting original binary."
elif [ -f ../WA.new.bak ]; then
  echo "Old patch previously applied. Moving original binary."
  mv -v ../WA.new.bak ../lib/WA.new.bak
else
  echo "Backing up your WA binary"
  cp -v ../WA WA.bak
  mv -v ../WA ../lib/WA.new.bak
fi
echo "Applying patch to WA binary"
./patch ../lib/WA.new.bak
cp -v WA ..
alert "All done. Run ./PlayWorms.sh in WA's directory to start WA!"
